### Class

# Gm DeviceInfo

since: 0.0.1

#### Description [src]

    final class Gm.DeviceInfo : GObject.Object
    {
      /* No available fields */
    }

Get device dependent information.

Allows to query device dependent information from different sources (currently we only look a the built-in gresources).

The lookups are currently based on device tree compatibles. See `gm_device_tree_get_compatibles()`.

Available since: 0.0.1

#### Ancestors

- GObject

#### Constructors

###### gm_device_info_new

Gets device information based on the passed in device tree compatibles.

since: 0.0.1

#### Instance methods

###### gm_device_info_get_display_panel

Gets display panel information. Queries the database for the best matching panel based on the device’s compatibles.

since: 0.0.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gm.DeviceInfo:compatibles

The compatibles to look up device information for.

since: 0.0.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GmDeviceInfoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.